--- title: "Role Config" slug: "server-api-global-setting-role-config" updated: 2022-06-16T08:28:46Z published: 2022-06-16T08:28:46Z canonical: "developer.comm100.com/server-api-global-setting-role-config" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Role Config ## Role Config You need the Manage Agent & Agent Roles permission to manage role configs. - `Role Configs` - Role Configs Manage - `GET global/roleConfig` - [Get a single Role Config](/docs/server-api-global-setting-role-config#get-a-single-role-config) - `POST global/roleConfig:disable` - [Disable the Role Config](/docs/server-api-global-setting-role-config#disable-the-role-config) - `POST global/roleConfig:enable` - [Enable the Role Config](/docs/server-api-global-setting-role-config#enable-the-role-config) - `PUT global/roleConfig` - [Update the Role Config](/docs/server-api-global-setting-role-config#update-the-role-config) ### Role Config JSON Format Role Config is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `isEnabled` | bool | Whether Role is enabled or not. | ### Get a single Role Config `GET global/roleConfig` - #### Parameters: No Parameters - #### Response: [Role Config](/docs/server-api-global-setting-role-config#role-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/roleConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ``` ### Disable the Role Config `POST global/roleConfig:disable` - #### Parameters: No Parameters - #### Response: [Role Config](/docs/server-api-global-setting-role-config#role-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/roleConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": false } ``` ### Enable the Role Config `POST global/roleConfig:enable` - #### Parameters: No Parameters - #### Response: [Role Config](/docs/server-api-global-setting-role-config#role-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/roleConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ``` ### Update the Role Config `PUT global/roleConfig` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `isEnabled` | bool | body | no | Whether Role is enabled or not. | - #### Response: [Role Config](/docs/server-api-global-setting-role-config#role-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/roleConfig \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"isEnabled":true}' ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ```